//
//  SecondViewController.m
//  TabBar Navigation
//
//  Created by Holger Hinzberg on 29.02.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "SecondViewController.h"

@interface SecondViewController ()

@end

@implementation SecondViewController
@synthesize currentDestinationFareLabel;
@synthesize taxiDestinationPicker;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) 
    {
        self.title = @"Second View";
        
        self.tabBarItem.image 
        = [UIImage imageNamed:@"tabicon"];
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    taxiTrips = [[NSMutableArray alloc] initWithCapacity:5];
    
    TaxiTrip *trip = [TaxiTrip new];
    trip.destination = @"Bahnhof";
    trip.fare = 12.50;
    [taxiTrips addObject:trip];
    
    trip = [TaxiTrip new];
    trip.destination = @"Zoo";
    trip.fare = 7.40;
    [taxiTrips addObject:trip];    
    
    trip = [TaxiTrip new];
    trip.destination = @"Museum";
    trip.fare = 17.20;
    [taxiTrips addObject:trip];    
    
    trip = [TaxiTrip new];
    trip.destination = @"Innenstadt";
    trip.fare = 9.60;
    [taxiTrips addObject:trip];    
    
    trip = [TaxiTrip new];
    trip.destination = @"Stadion";
    trip.fare = 21.50;
    [taxiTrips addObject:trip];    
}

- (void)viewDidUnload
{
    [self setTaxiDestinationPicker:nil];
    [self setCurrentDestinationFareLabel:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (NSInteger)numberOfComponentsInPickerView:
(UIPickerView *)pickerView
{
    return 1;
}

- (NSInteger)pickerView:(UIPickerView *)pickerView
numberOfRowsInComponent:(NSInteger)component
{
    return [taxiTrips count];
}

- (NSString *)pickerView:(UIPickerView *)pickerView
             titleForRow:(NSInteger)row
            forComponent:(NSInteger)component
{
    // Den zum row passenden Zielort
    return [[taxiTrips objectAtIndex:row] destination];
}

- (IBAction)showTaxiFareClicked:(id)sender 
{
    // Die Selektion aus dem Picker holen
    int index = [taxiDestinationPicker
             selectedRowInComponent:0];

    // Das zugehörige Objekt finden
    TaxiTrip *selectedTrip =
    [taxiTrips objectAtIndex:index];

    // Eine Nachricht zusammenstellen
    NSString *alertMessage = [[NSString alloc]
                          initWithFormat:@"Die Fahrt zum %@ kostet Sie %.2f Euro"
                          ,[selectedTrip destination]
                          ,[selectedTrip fare]];

    // Eine AlertView erzeugen
    UIAlertView *alert = [[UIAlertView alloc]
                      initWithTitle:@"Hallo Taxi!"
                      message: alertMessage
                      delegate:nil
                      cancelButtonTitle:@"OK"
                      otherButtonTitles:nil];

    // Anzeigen
    [alert show];

}

- (void)pickerView:(UIPickerView *)pickerView
      didSelectRow:(NSInteger)row 
       inComponent:(NSInteger)component
{
    // Die Selektion aus dem Picker holen
    int index = [taxiDestinationPicker
                 selectedRowInComponent:0];
    
    // Das zugehörige Objekt finden
    TaxiTrip *selectedTrip =
    [taxiTrips objectAtIndex:index];
    
    // Eine Nachricht zusammenstellen
    NSString *labelText = [[NSString alloc]
                           initWithFormat:@"%.2f Euro"
                           ,[selectedTrip fare]];
    
    [currentDestinationFareLabel setText:labelText];
}
@end
