//
//  ThirdViewController.m
//  TabBar Navigation
//
//  Created by Holger Hinzberg on 29.02.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "ThirdViewController.h"

@interface ThirdViewController ()

@end

@implementation ThirdViewController
@synthesize animationView;


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        
        self.title = @"Third View";
        
        self.tabBarItem.image 
        = [UIImage imageNamed:@"tabicon"];
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // Die Bounds:
    // Position und Abmessungen für den View.
    CGRect viewRect = CGRectMake(20, 20, 70, 70);
    
    animationView.bounds = viewRect;
    
    // Die Hintergrundfarbe
    animationView.backgroundColor =
     [UIColor redColor];
}

- (void)viewDidUnload
{
    [self setAnimationView:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (IBAction)colorControlValueChanged:(id)sender
{
    // Den Sender in ein Steuerelement umwandeln.
    UISegmentedControl *colorControl = sender;
    
    // Der Index des gewählten Segments
    int index = colorControl.selectedSegmentIndex;
    
    UIColor *selectedColor = [UIColor redColor];
    
    // Ermitteln der passenden Farbe
    switch (index)
    {
        case 0:
            selectedColor =
            [UIColor redColor];
            break;
            
        case 1:
            selectedColor =
            [UIColor greenColor];
            break;
            
        case 2:
            selectedColor =
            [UIColor blueColor];
            break;            
            
        default:
            break;
    }
    

    // Dem animationView eine neue Hintergrundfarbe
    // zuweisen.
    
    [UIView beginAnimations:nil context:NULL];
    [UIView setAnimationDuration:0.5];
    
    animationView.backgroundColor = selectedColor;
    
    [UIView commitAnimations];
}

- (IBAction)animationControlValueChanged:(id)sender
{
    // Den Sender in ein Steuerelement umwandeln.
    UISegmentedControl *colorControl = sender;
    
    // Der Index
    // 0 = oben links
    // 1 = unten links
    // 2 = oben rechts
    // 3 = unten rechts
    int index = colorControl.selectedSegmentIndex;
    
    CGPoint centerPosition;
    
    // Die neuen Koordinaten
    // Experimentieren Sie mit ihnen!
    switch (index)
    {
        case 0:
            centerPosition = CGPointMake(55, 55);
            break;
        case 1:
            centerPosition = CGPointMake(55, 250);
            break;
        case 2:
            centerPosition = CGPointMake(265, 55);
            break;
        case 3:
            centerPosition = CGPointMake(265, 250);
            break;
        default:
            break;
    }
    
    // Animation vorbereiten
    [UIView beginAnimations:nil context:NULL];
    // Die Dauer der Animation, in Sekunden
    [UIView setAnimationDuration:0.5];
    // Die neue Position setzen
    animationView.center = centerPosition;
    // Animation starten
    [UIView commitAnimations];
}
@end
